## xbattbar 1.4.4

=== Makefile ===
--- 
+++ 
@@ -34,6 +34,7 @@
 	install -d -m 0755 $(DESTDIR)/usr/share/man/man1
 	install -m 0755 $(APM_CHECK) $(DESTDIR)/usr/lib/$(PROJECT)/
 	install -m 0755 xbattbar-check-acpi $(DESTDIR)/usr/lib/$(PROJECT)/
+	install -m 0755 xbattbar-check-sys  $(DESTDIR)/usr/lib/$(PROJECT)/
 	install -m 0755 $(TARGET) $(DESTDIR)/usr/bin/
 	install -m 0644 xbattbar.man $(DESTDIR)/usr/share/man/man1/$(PROJECT).1
