## xbattbar 1.4.8

=== Makefile ===
--- 
+++ 
@@ -4,20 +4,23 @@
 
 TARGET		=	xbattbar
 APM_CHECK	=	xbattbar-check-apm
+CPPFLAGS	=	-D_FORTIFY_SOURCE=2
+CFLAGS		=	-g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Werror=format-security $(CPPFLAGS)
+LDFLAGS		=	-Wl,-z,relro
 
 all: $(TARGET) $(APM_CHECK)
 
 $(TARGET): obj/xbattbar.o
-	gcc -o $@ $< -lX11
+	gcc -o $@ $< -lX11 $(LDFLAGS)
 
 obj/xbattbar.o: xbattbar.c obj/stamp
-	gcc -MMD -o $@ -c $<
+	gcc -MMD -o $@ -c $< $(CFLAGS)
 
 $(APM_CHECK): obj/xbattbar-check-apm.o
-	gcc -o $@ $<
+	gcc -o $@ $< $(LDFLAGS)
 
 obj/xbattbar-check-apm.o: xbattbar-check-apm.c obj/stamp
-	gcc -MMD -D$(OS_TYPE) -o $@ -c $<
+	gcc -MMD -D$(OS_TYPE) -o $@ -c $< $(CFLAGS)
 
 obj/stamp:
 	mkdir obj
