=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

build: build-stamp

build-stamp:
	dh_testdir
	$(MAKE) WITH_XINERAMA=1
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_installdirs
	$(MAKE) install OS_TYPE=linux WITH_XINERAMA=1 DESTDIR=$(CURDIR)/debian/xbattbar

build-arch: build-stamp
build-indep: build-stamp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installmenu
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb


package_version := $(shell dpkg-parsechangelog	\
	|grep ^Version|awk '{print $$2}'|sed 's/-.*//')

tarball:
	test -d ../xbattbar-$(package_version)
	cd .. && tar --exclude=debian --exclude=.git -czvf \
		xbattbar_$(package_version).orig.tar.gz	\
		xbattbar-$(package_version)


binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
